Bug 1015749 - Review Request: php-twig-ctwig - Extension to improve performance of Twig
Review Request: php-twig-ctwig - Extension to improve performance of Twig
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 01:24 EDT by Remi Collet
Modified: 2013-11-10 02:13 EST (History)
3 users (show)

See Also:
Fixed In Version: php-twig-ctwig-1.14.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 23:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review (7.00 KB, text/plain)
2013-10-21 11:49 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-10-05 01:24:47 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/5bb55ad37c631eb60928eb1f4cef0d67be0cfa5c/php/php-twig-CTwig/php-twig-CTwig.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-twig-CTwig-1.14.0-1.remi.src.rpm
Description: 
Twig is a PHP template engine.

This package provides the Twig C extension (CTwig) to improve performance
of the Twig template language, used by Twig PHP extension (php-twig-Twig).

Fedora Account System Username: remi

Notice:
- this is an optional dep of php-twig-Twig
- yes I prefer to keep EL-5 compatibility stuff
- yes I prefer to keep SCL stuff (as allowed by Guildeines)
Comment 1 Remi Collet 2013-10-05 03:56:30 EDT
As this is (AFAIK) the first "pecl" extension from a non standard channel, which is not covered by the current PHP Guidelines: https://fedorahosted.org/fpc/ticket/354
Comment 2 Remi Collet 2013-10-15 23:22:13 EDT
Update to 1.14.1, despite there is no change in source, only version bump, as upstream use the same repo for PHP anc C extension...

Spec: https://raw.github.com/remicollet/remirepo/33cac3138d34bb61bea0f5a2f441ef0f9564220c/php/php-twig-CTwig/php-twig-CTwig.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-twig-CTwig-1.14.1-1.remi.src.rpm
Comment 3 Remi Collet 2013-10-18 02:05:37 EDT
https://fedoraproject.org/wiki/Packaging:PHP have been updated.
Comment 6 Shawn Iwinski 2013-10-21 11:49:36 EDT
Created attachment 814685 [details]
fedora-review

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1015749
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 7 Shawn Iwinski 2013-10-21 11:50:25 EDT
No blockers.

===== APPROVED =====
Comment 8 Remi Collet 2013-10-21 12:06:52 EDT
Big thanks for the review !

New Package SCM Request
=======================
Package Name: php-twig-ctwig
Short Description: Extension to improve performance of Twig
Owners: remi
Branches: f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-10-21 12:16:07 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-10-21 12:53:40 EDT
php-twig-ctwig-1.14.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-twig-ctwig-1.14.1-3.fc20
Comment 11 Fedora Update System 2013-10-21 12:53:50 EDT
php-twig-ctwig-1.14.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-twig-ctwig-1.14.1-3.el6
Comment 12 Fedora Update System 2013-10-21 12:53:59 EDT
php-twig-ctwig-1.14.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-twig-ctwig-1.14.1-3.fc19
Comment 13 Fedora Update System 2013-10-22 01:03:42 EDT
php-twig-ctwig-1.14.1-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-10-30 23:02:07 EDT
php-twig-ctwig-1.14.1-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-11-06 13:26:16 EST
php-twig-ctwig-1.14.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Fedora Update System 2013-11-10 02:13:52 EST
php-twig-ctwig-1.14.1-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.